cURL
curl --request POST \
--url https://{tenant}.stamp.eu/rest/rosters/{roster}/entries/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"date": "2023-11-07T05:31:56Z",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shift_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": "<string>",
"end_time": "<string>",
"note": "<string>",
"work_area_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://{tenant}.stamp.eu/rest/rosters/{roster}/entries/bulk"
payload = { "entries": [
{
"date": "2023-11-07T05:31:56Z",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shift_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": "<string>",
"end_time": "<string>",
"note": "<string>",
"work_area_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [
{
date: '2023-11-07T05:31:56Z',
employee_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
shift_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start_time: '<string>',
end_time: '<string>',
note: '<string>',
work_area_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://{tenant}.stamp.eu/rest/rosters/{roster}/entries/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"roster_id": "<string>",
"employee_id": "<string>",
"date": "<string>",
"shift_id": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"effective_start": "<string>",
"effective_end": "<string>",
"planned_work": "<string>",
"note": "<string>",
"work_area_id": "<string>",
"effective_work_area_id": "<string>",
"status": "<string>",
"generated": true,
"series_id": "<string>",
"source_unit_id": "<string>",
"source_unit": {
"id": "<string>",
"name": "<string>"
},
"is_cross_unit": true,
"published_at": "<string>",
"is_open": true,
"applications_count": 123,
"warnings": [
"<string>"
],
"employee_name": "<string>",
"shift": {
"id": "<string>",
"name": "<string>",
"abbreviation": "<string>",
"color": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"break_duration": "<string>",
"is_overnight": "<string>",
"schedule_model_id": "<string>",
"work_area_id": "<string>",
"tags": "<string>",
"note": "<string>",
"fairness_weight": 123,
"net_duration_ms": 123
},
"acknowledgement": {
"pending": 1,
"acknowledged": 1,
"acknowledged_at": "<string>"
},
"my_application": "<unknown>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Dienstplan-Einträge
Einträge im Stapel bearbeiten
POST
/
rosters
/
{roster}
/
entries
/
bulk
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The roster ID
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Response
Array of RosterEntryResource
Show child attributes
Show child attributes
⌘I